#ifndef GOTOCELLDIALOG_H
#define GOTOCELLDIALOG_H

#include <QDialog>
#include <QRegExpValidator>
#include "ui_gotocelldialog.h"


namespace Ui {
class GotoCellDialog;
}

class GotoCellDialog : public QDialog
{
    Q_OBJECT

public:
    explicit GotoCellDialog(QWidget *parent = nullptr);
    ~GotoCellDialog();
    QString getText() const { return ui->lineEdit->text(); }

private slots:
    void on_lineEdit_textChanged();

private:
    Ui::GotoCellDialog *ui;
};

#endif // GOTOCELLDIALOG_H
